﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using Infragistics.Win.UltraWinGrid;

namespace UltraGridWithComboAutoSuggest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataTable dt = new DataTable();
            dt.Columns.Add("recGuid", typeof(Guid));
            dt.Columns.Add("NameLocale", typeof(string));
            dt.Columns.Add("Address", typeof(string));
            dt.Columns.Add("Phone", typeof(string));

            dt.Rows.Add(new object[] { Guid.NewGuid(), "A and J Exhauust\r\nJamestown, ND", "319 First Ave. North", "818-675-0987" });
            dt.Rows.Add(new object[] { Guid.NewGuid(), "A And M Auto Parts\r\nUmatilla, FL", "108 N. Buddlong Ave.", "207-90-4567" });
            dt.Rows.Add(new object[] { Guid.NewGuid(), "Alpha Sales\r\nAtlanta, GA", "894 Green Vally Road", "404-897-2345" });
            dt.Rows.Add(new object[] { Guid.NewGuid(), "Alpha Test Site\r\nHamburg, Germany", "1234 Strassburg\nBuilding 5", "03-456-890" });
            dt.Rows.Add(new object[] { Guid.NewGuid(), "AMP Parts Distribution\r\nRoanoke, VA", "786 Tenth Street", "793-786-9876" });
            dt.Rows.Add(new object[] { Guid.NewGuid(), "BI Georges Offroad Servide\r\nMillform, OH", "1875 Service Road\r\n#131", "101-212-5555" });
            dt.Rows.Add(new object[] { Guid.NewGuid(), "Bickford FordServide\r\nSnohomish, WA 98290", "3100 Bickform Ave", "801-774-5214" });


            ultraComboEx1.DataSource = dt ;
            ultraComboEx1.DisplayMember = "NameLocale";
            ultraComboEx1.ValueMember = "recGuid";

            ultraComboEx1.AutoCompleteMode = Infragistics.Win.AutoCompleteMode.SuggestAppend;
            ultraComboEx1.LimitToList = true;
            ultraComboEx1.DisplayLayout.Override.RowSizing = RowSizing.AutoFree;
            UltraGridBand B = ultraComboEx1.DisplayLayout.Bands[0];
            B = ultraComboEx1.DisplayLayout.Bands[0];
            B.Columns["recGuid"].Hidden = true;

            UltraGridColumn col = B.Columns["NameLocale"];
            col.Width = 125;
            col.CellMultiLine = Infragistics.Win.DefaultableBoolean.True;
            col.AutoSizeMode = ColumnAutoSizeMode.AllRowsInBand;

            col = B.Columns["Address"];
            col.Width = 100;
            col.CellMultiLine = Infragistics.Win.DefaultableBoolean.True;
            col.AutoSizeMode = ColumnAutoSizeMode.AllRowsInBand;


            ultraGrid1.DisplayLayout.Override.RowSizing = RowSizing.AutoFree;

            B = ultraGrid1.DisplayLayout.Bands[0];
            col = B.Columns["UltraCombo"];
            col.CellMultiLine = Infragistics.Win.DefaultableBoolean.True;
            col.AutoSizeMode = ColumnAutoSizeMode.AllRowsInBand;
            col.AutoCompleteMode = Infragistics.Win.AutoCompleteMode.SuggestAppend;
        }

        private void ultraGrid1_CellChange(object sender, CellEventArgs e)
        {
            ultraComboEx1.Text = e.Cell.Text;
        }

    }
}
